Package ch.qos.logback.core.sift

## Class AbstractAppenderFactoryUsingJoran<E>

- java.lang.Object
- - ch.qos.logback.core.sift.AbstractAppenderFactoryUsingJoran<E>

Type Parameters:
  `E` -

All Implemented Interfaces:
  `AppenderFactory<E>`

Direct Known Subclasses:
  `AppenderFactoryUsingJoran`, `AppenderFactoryUsingJoran`

    public abstract class AbstractAppenderFactoryUsingJoran<E>
    extends java.lang.Object
    implements AppenderFactory<E>

Builds new appenders dynamically by running SiftingJoranConfigurator instance, a custom configurator tailored for the contents of the sift element.

### Field Summary

Fields
`protected java.lang.String` `key`
`protected java.util.Map<java.lang.String,​java.lang.String>` `parentPropertyMap`

### Constructor Summary

Constructors
`protected` `AbstractAppenderFactoryUsingJoran​(java.util.List<SaxEvent> eventList, java.lang.String key, java.util.Map<java.lang.String,​java.lang.String> parentPropertyMap)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`Appender<E>` `buildAppender​(Context context, java.lang.String discriminatingValue)`
`java.util.List<SaxEvent>` `getEventList()`
`abstract SiftingJoranConfiguratorBase<E>` `getSiftingJoranConfigurator​(java.lang.String k)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### key

    protected java.lang.String key

#### parentPropertyMap

    protected java.util.Map<java.lang.String,​java.lang.String> parentPropertyMap

### Constructor Detail

#### AbstractAppenderFactoryUsingJoran

    protected AbstractAppenderFactoryUsingJoran​(java.util.List<SaxEvent> eventList,
                                                java.lang.String key,
                                                java.util.Map<java.lang.String,​java.lang.String> parentPropertyMap)

### Method Detail

#### getSiftingJoranConfigurator

    public abstract SiftingJoranConfiguratorBase<E> getSiftingJoranConfigurator​(java.lang.String k)

#### buildAppender

    public Appender<E> buildAppender​(Context context,
                                     java.lang.String discriminatingValue)
                              throws JoranException

Specified by:
  `buildAppender` in interface `AppenderFactory<E>`
Throws:
  `JoranException`

#### getEventList

    public java.util.List<SaxEvent> getEventList()